Name:		qubes-remote-support-receiver-dom0
Version: 1.0.0
Release: 1%{?dist}

Summary:	Qubes Remote Support Receiver
Group:	Applications/System
License:	GPL
URL:		https://www.qubes-os.org/doc/remote-support/

BuildRequires:  python3-devel

Requires: torsocks socat openssh-server x2goserver
Requires:  python3-setuptools
Requires:  gtk3

Source0: %{name}-%{version}.tar.gz

BuildArch: noarch

%description
Scripts to easily receive remote support using Qubes OS.

%prep
%setup -q

%build
%py3_build

%install
%py3_install
make install-dom0 DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp qubes-remote-support-gui.desktop $RPM_BUILD_ROOT/usr/share/applications/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/24x24/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/36x36/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/72x72/apps/
cp icons/22x22/qubes-remote.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/qubes-remote.png
cp icons/24x24/qubes-remote.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/24x24/apps/qubes-remote.png
cp icons/32x32/qubes-remote.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/qubes-remote.png
cp icons/36x36/qubes-remote.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/36x36/apps/qubes-remote.png
cp icons/48x48/qubes-remote.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/qubes-remote.png
cp icons/64x64/qubes-remote.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/qubes-remote.png
cp icons/72x72/qubes-remote.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/72x72/apps/qubes-remote.png
cp icons/22x22/qubes-remote-on.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/qubes-remote-on.png
cp icons/24x24/qubes-remote-on.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/24x24/apps/qubes-remote-on.png
cp icons/32x32/qubes-remote-on.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/qubes-remote-on.png
cp icons/36x36/qubes-remote-on.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/36x36/apps/qubes-remote-on.png
cp icons/48x48/qubes-remote-on.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/qubes-remote-on.png
cp icons/64x64/qubes-remote-on.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/64x64/apps/qubes-remote-on.png
cp icons/72x72/qubes-remote-on.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/72x72/apps/qubes-remote-on.png


%files
%defattr(-,root,root,-)
/usr/bin/qubes-remote-support-receiver-start
/usr/bin/qubes-remote-support-receiver-stop
/usr/bin/qubes-remote-support-receiver-status
/usr/bin/qubes-remote-support-receiver-wormhole-helper

%dir %{python3_sitelib}/remote_gui-*.egg-info
%{python3_sitelib}/remote_gui-*.egg-info/*

%dir %{python3_sitelib}/remote_gui
%{python3_sitelib}/remote_gui/__pycache__
%{python3_sitelib}/remote_gui/__init__.py
%{python3_sitelib}/remote_gui/remote_gui.py
%{python3_sitelib}/remote_gui/remote_gui.glade

/usr/bin/qubes-remote-support-gui
/usr/share/applications/qubes-remote-support-gui.desktop

/usr/share/icons/hicolor/22x22/apps/qubes-remote.png
/usr/share/icons/hicolor/24x24/apps/qubes-remote.png
/usr/share/icons/hicolor/32x32/apps/qubes-remote.png
/usr/share/icons/hicolor/36x36/apps/qubes-remote.png
/usr/share/icons/hicolor/48x48/apps/qubes-remote.png
/usr/share/icons/hicolor/64x64/apps/qubes-remote.png
/usr/share/icons/hicolor/72x72/apps/qubes-remote.png
/usr/share/icons/hicolor/22x22/apps/qubes-remote-on.png
/usr/share/icons/hicolor/24x24/apps/qubes-remote-on.png
/usr/share/icons/hicolor/32x32/apps/qubes-remote-on.png
/usr/share/icons/hicolor/36x36/apps/qubes-remote-on.png
/usr/share/icons/hicolor/48x48/apps/qubes-remote-on.png
/usr/share/icons/hicolor/64x64/apps/qubes-remote-on.png
/usr/share/icons/hicolor/72x72/apps/qubes-remote-on.png

%changelog
* Mon Feb 15 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-remote-support.git

* Mon Feb 15 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f3eaae8
- version 1.0.0-1

* Mon Feb 15 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6755478
- Add gitlab-ci

* Thu Feb 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cd5b5fe
- Restore fixes to remote_gui.glade

* Thu Feb 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d5354fe
- Install qubes-remote-support-gui as an application in the menu

* Thu Feb 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 378c5a6
- gui: improve guessing non-standard whonix gw name

* Thu Feb 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c2c2b44
- gui: fix showing error message

* Thu Feb 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3cb653e
- Drop '-v' from tar instead of redirecting it to /dev/null

* Tue Nov 10 2020 Patrick Schleizer <adrelanos@riseup.net> - b31fac9
- replace `remote_gui/remote_gui.glade` with probably newer/better version `remote_gui/remote_gui.glade~`

* Fri Nov 06 2020 Patrick Schleizer <adrelanos@riseup.net> - dc19b8b
- increase wormhole code length to `4`

* Wed Nov 04 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 23c116b
- Simple GUI daemon

* Mon Oct 26 2020 Patrick Schleizer <adrelanos@riseup.net> - 83119fd
- comment

* Fri Oct 23 2020 Patrick Schleizer <adrelanos@riseup.net> - 454f45b
- output

* Fri Oct 23 2020 Patrick Schleizer <adrelanos@riseup.net> - 1eaecf7
- fix

* Fri Oct 23 2020 Patrick Schleizer <adrelanos@riseup.net> - 8bc28a5
- fix

* Thu Oct 22 2020 Patrick Schleizer <adrelanos@riseup.net> - b7fff0f
- output

* Thu Oct 22 2020 Patrick Schleizer <adrelanos@riseup.net> - 3488a32
- sudo --noninteracitve

* Thu Oct 22 2020 Patrick Schleizer <adrelanos@riseup.net> - 847869c
- stop ssh only if it was not previously running

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 2af7ee6
- comment

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 4806f4a
- actually do not need to check socat in status script

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 53ee498
- do not stop sshd.service in dom0 for now

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 8a1c174
- output

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 40c1235
- output

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 4abbf62
- output

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 13d5921
- comment

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 38555e5
- fix

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 9afa090
- output

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 7260cc1
- comment

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 268d5bb
- comment

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - fdf6d61
- comment

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - c2b997f
- qubes-remote-support-receiver-stop: terminate qubes-remote-support-receiver-start

* Sun Oct 11 2020 Patrick Schleizer <adrelanos@riseup.net> - 62b7a31
- implement race condition resistant method to start and stop socat listener

* Wed Sep 30 2020 Patrick Schleizer <adrelanos@riseup.net> - 83bae93
- comment

* Mon Sep 07 2020 Patrick Schleizer <adrelanos@riseup.net> - 3a8d66f
- similar to qubes-skeleton repository

* Mon Sep 07 2020 Patrick Schleizer <adrelanos@riseup.net> - 5aa8922
- fix, renamed:    rpm_spec/qubes-remote-support-receiver-dom0.spec -> rpm_spec/qubes-remote-support-receiver-dom0.spec.in

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - 75553ad
- check dom0 dependencies

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - 912791e
- initial dom0 packaging

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - 36a4334
- comment

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - f590575
- socat: no longer hardcode sys-whonix use variable vm_name instead

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - fef97e2
- fix

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - 9c178ac
- comments

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - 7e3d855
- comments

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - a84967d
- comment

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - 35e2057
- launch socat into the background

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - e75ea80
- update comment

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - 3bb02ea
- comment

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - fe21963
- use wormhole directly in dom0 if available

* Sat Sep 05 2020 Patrick Schleizer <adrelanos@riseup.net> - e6be39a
- make sure Tor is running

* Thu Aug 27 2020 Patrick Schleizer <adrelanos@riseup.net> - 4396480
- remove auto generated ssh key from ~/.ssh/authorized_keys at stop

* Thu Aug 27 2020 Patrick Schleizer <adrelanos@riseup.net> - ddd31fc
- undo changes to /etc/qubes-rpc/policy/qubes.ConnectTCP+22

* Thu Aug 27 2020 Patrick Schleizer <adrelanos@riseup.net> - 2d59ad7
- typo

